Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.mycarenet.esb.medicaladvisoragreement.chap4.ask.v1
Class AskChap4MedicalAdvisorAgreementRequest

    java.lang.Object
      be.cin.mycarenet.esb.medicaladvisoragreement.chap4.ask.v1.AskChap4MedicalAdvisorAgreementRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:01:49+01:00",
               comments="JAXB RI v2.2.11")
    public class AskChap4MedicalAdvisorAgreementRequest

extends Object
implements Serializable

Java class for AskChap4MedicalAdvisorAgreementRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AskChap4MedicalAdvisorAgreementRequestType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommonInput" type="{urn:be:cin:mycarenet:esb:common:v2}CommonInputType"/>
             <element name="RecordCommonInput" type="{urn:be:cin:mycarenet:esb:common:v2}RecordCommonInputType"/>
             <element name="CareReceiver" type="{urn:be:cin:types:v1}CareReceiverIdType"/>
             <element name="Request" type="{urn:be:cin:mycarenet:esb:medicalAdvisorAgreement:chap4:ask:v1}RequestType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AskChap4MedicalAdvisorAgreementRequest()`

Method Summary
`CareReceiverIdType` | `getCareReceiver()` Gets the value of the careReceiver property.
`CommonInput` | `getCommonInput()` Gets the value of the commonInput property.
`RecordCommonInputType` | `getRecordCommonInput()` Gets the value of the recordCommonInput property.
`RequestType` | `getRequest()` Gets the value of the request property.
`void` | `setCareReceiver(CareReceiverIdType value)` Sets the value of the careReceiver property.
`void` | `setCommonInput(CommonInput value)` Sets the value of the commonInput property.
`void` | `setRecordCommonInput(RecordCommonInputType value)` Sets the value of the recordCommonInput property.
`void` | `setRequest(RequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AskChap4MedicalAdvisorAgreementRequest

    public AskChap4MedicalAdvisorAgreementRequest()

Method Detail

### getCommonInput

    public CommonInput getCommonInput()

  Gets the value of the commonInput property.

  Returns:
    possible object is `CommonInput`

### setCommonInput

    public void setCommonInput(CommonInput value)

  Sets the value of the commonInput property.

  Parameters:
    `value` - allowed object is `CommonInput`

### getRecordCommonInput

    public RecordCommonInputType getRecordCommonInput()

  Gets the value of the recordCommonInput property.

  Returns:
    possible object is `RecordCommonInputType`

### setRecordCommonInput

    public void setRecordCommonInput(RecordCommonInputType value)

  Sets the value of the recordCommonInput property.

  Parameters:
    `value` - allowed object is `RecordCommonInputType`

### getCareReceiver

    public CareReceiverIdType getCareReceiver()

  Gets the value of the careReceiver property.

  Returns:
    possible object is `CareReceiverIdType`

### setCareReceiver

    public void setCareReceiver(CareReceiverIdType value)

  Sets the value of the careReceiver property.

  Parameters:
    `value` - allowed object is `CareReceiverIdType`

### getRequest

    public RequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `RequestType`

### setRequest

    public void setRequest(RequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `RequestType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.